commit:     fea9cb5cd85b2fd0aba002169dfcc56e42256a11
Author:     Hans de Graaff <graaff <AT> gentoo <DOT> org>
AuthorDate: Mon May 13 17:35:28 2019 +0000
Commit:     Hans de Graaff <graaff <AT> gentoo <DOT> org>
CommitDate: Mon May 13 18:04:49 2019 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=fea9cb5c

dev-ruby/ox: add ruby26

Signed-off-by: Hans de Graaff <graaff <AT> gentoo.org>
Package-Manager: Portage-2.3.62, Repoman-2.3.11

 dev-ruby/ox/ox-2.10.0.ebuild | 9 +++++++--
 1 file changed, 7 insertions(+), 2 deletions(-)

diff --git a/dev-ruby/ox/ox-2.10.0.ebuild b/dev-ruby/ox/ox-2.10.0.ebuild
index f03cb3bed81..997658880e3 100644
--- a/dev-ruby/ox/ox-2.10.0.ebuild
+++ b/dev-ruby/ox/ox-2.10.0.ebuild
@@ -1,8 +1,8 @@
-# Copyright 1999-2018 Gentoo Foundation
+# Copyright 1999-2019 Gentoo Authors
 # Distributed under the terms of the GNU General Public License v2
 
 EAPI=6
-USE_RUBY="ruby23 ruby24 ruby25"
+USE_RUBY="ruby23 ruby24 ruby25 ruby26"
 
 RUBY_FAKEGEM_EXTRADOC="README.md"
 RUBY_FAKEGEM_RECIPE_DOC="rdoc"
@@ -18,6 +18,11 @@ KEYWORDS="~amd64 ~ppc ~ppc64 ~x86"
 SLOT="0"
 IUSE=""
 
+all_ruby_prepare() {
+       # Avoid test that depends on did_you_mean implementation details
+       sed -i -e '/test_nameerror/aomit' test/tests.rb || die
+}
+
 each_ruby_configure() {
        ${RUBY} -Cext/ox extconf.rb || die
 }

Reply via email to